« Ver.1.2.0-RC3 リリース | トップページ | Mac でのネイティブイベント処理 »

2015年9月23日 (水)

Sphinx によるドキュメント作成のエラー

Python3.5がリリースされたので、入れ替えてSphinxも入れ直しましたが、ドキュメントのビルドでエラーが出るようになりました。

TypeError: an integer is required (got type str)

(最後の一行だけですが…)

検索してみるとSphinxが使っているBabelというパッケージが2.0だとダメなようですね。

https://github.com/sphinx-doc/sphinx/issues/1976

pip install sphinx "babel < 2.0"

とすると1.3 というバージョンが入るのでめでたくビルドできました。Babelの次の版では直るみたいですけど。

MacにもPython3.5を入れて同様にSphinx環境が整備できました。pipの代わりにpip3というコマンド名になります。

« Ver.1.2.0-RC3 リリース | トップページ | Mac でのネイティブイベント処理 »

コメント

コメントを書く

コメントは記事投稿者が公開するまで表示されません。

(ウェブ上には掲載しません)

トラックバック

この記事のトラックバックURL:
http://app.f.cocolog-nifty.com/t/trackback/2011805/61738936

この記事へのトラックバック一覧です: Sphinx によるドキュメント作成のエラー:

« Ver.1.2.0-RC3 リリース | トップページ | Mac でのネイティブイベント処理 »

無料ブログはココログ
2017年7月
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30 31